/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef ENCODING_H
#define ENCODING_H 1

#include "httpd.h"
#include <iconv.h>

typedef struct {
    const char *alias;
    const char *name;
} mtb_charset_alias_rec;

static const mtb_charset_alias_rec mtb_accept_encoding[] = {
  { "EUC-JP", "eucJP" },
  { "SHIFT_JIS", "SJIS" },
/*{ "SHIFT_JIS", "CP932" }, */
  { "CP932", "CP932" },
  { "ISO-2022-JP", "ISO-2022-JP" },
  { "ISO-2022-JP-2", "ISO-2022-JP-2" },
  { "ISO-2022-JP-1", "ISO-2022-JP-1" },
  { "UTF-8", "UTF-8" },
  { "UTF-16", "UTF-16" },
  { NULL, NULL }
};


const char *mtb_find_encoding(const char *name);
iconv_t mtb_iconv_open(pool *p, const char *from, const char *to);
int mtb_iconv_close(iconv_t cd);
const char *mtb_convert_encoding(pool *p, iconv_t cd, const char *str);


#endif /* ENCODING_H */
